* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Bitter", serif;
}

html,
body {
  height: 100%;
  min-height: 100%;
}

a {
  text-decoration: none;
  color: white;

  &.active {
    border-bottom: 2px solid #85c2ff;
  }
}

body {
  font-family: "Open Sans", sans-serif;
}

nav {
  width: 100%;
  height: 60px;
  position: fixed;
  top: 0;

  background: rgba(0, 0, 0, 0.4);

  ul {
    padding: 20px;
    margin: 0 auto;
    list-style: none;
    text-align: center;

    li {
      display: inline-block;
      margin: 0 10px;

      a {
        padding: 10px 0;
        color: #fff;
        font-size: 18px;
        text-decoration: none;
        font-weight: bold;
        transition: all 0.2s ease;

        &:hover {
          color: #85c2ff;
        }
      }
    }
  }
}

h1 {
  font-size: 3rem;
  color: #5f4587;
}

section {
  width: 100%;
  height: 90%;
  padding: 50px 0;
  background: #fff;
  text-align: center;
}
#profile {
  border: 2px;
  border-radius: 50% 50%;
}

#name {
  margin-top: 20px;
  color: white;
  size: 15px;
}

@keyframes name {
  from {
    transform: translateX(-180px);
    opacity: 0;
  }

  to {
    transform: translateX(0);
  }
}

.pro {
  animation-name: name;
  animation-duration: 1s;
  animation-timing-function: ease-in;
  animation-iteration-count: 1;
}

.skills {
  list-style-type: none;
  display: flex;
}

.About {
  padding: 5rem;
  font-size: 20px;
}

.no3 {
  margin-top: 40px;
  h2 {
    color: #5f4587;
  }
}

.skill ul {
  list-style-type: none;
  text-align: center;
}
.skill li {
  display: inline-block;
  margin: 0 30px;
  /* Add spacing between list items */
}
.logo-container {
  display: flex;
  align-items: center;
}
.skill li:hover .logo {
  transform: translateY(-7px);
  /* Adjust the distance the icon moves up */
}

.skill li .logo {
  transition: transform 0.3s ease-out;
}
.skill li .name {
  opacity: 0;
  transition: opacity 0.3s ease-out;
  font-size: 16px;
}

.skill li:hover .name {
  opacity: 1;
}

.buttons {
  display: flex;
  padding: 10px;
  margin-top: 19px;
}

.but {
  flex: 1;
  text-align: center;
}

.context {
  display: flex;
  padding: 8px;
}

.textt {
  flex: 1;
  text-align: center;
  margin: 0 auto;
  font-size: 20px;
  padding: 2rem;
}
.textt p.head {
  font-weight: bold;
  font-size: 25px;
}

button {
  border-radius: 25px;
  margin: 0 auto;
  display: block;
  background-color: #fff;
  border: 1px solid #885df1;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
  color: #885df1;
  font-size: 16px;
  line-height: 22px;
  padding: 16px 24px;
  text-decoration: none;
  transition: all 200ms ease;
}

button:hover {
  color: #fff;
  background: #885df1;
  cursor: pointer;
}
#myBtn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  font-size: 18px;
  border: none;
  outline: none;
  color: #5f4587;
  background-color: white;
  border: 1px solid #885df1;
  cursor: pointer;
  padding: 15px;
  border-radius: 4px;
  transition-duration: 4s;
}

#myBtn:hover {
  color: #fff;
  background: #885df1;
  cursor: pointer;
}

.socials,
.socials *,
.socials *:before,
.socials *:after {
  box-sizing: content-box;
}

.socials {
  display: inline-block;
  text-align: center;
  font-size: 30px;
}

.icons li {
  display: inline-block;
}

.icons {
  list-style-type: none;
  font-size: 30px;
  margin: 0;
  padding: 30px 0;
}

.icons li svg {
  width: 30px;
  height: 30px;
  line-height: 20px;
  padding: 1%;
  border: 1px solid rgba(256, 256, 256, 0.6);
  border-radius: 6px;
  cursor: pointer;
  margin-left: 10px;
  margin-bottom: 20px;
  transition: ease 0.3s;

  &:hover {
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
    transition: all 0.3s;
  }
}

.bi-linkedin {
  color: #007bb7;
}

.bi-facebook {
  color: #3b5998;
}

.bi-instagram {
  color: white;
  background: #f09433;
  background: -moz-linear-gradient(
    45deg,
    #f09433 0%,
    #e6683c 25%,
    #dc2743 50%,
    #cc2366 75%,
    #bc1888 100%
  );
  background: -webkit-linear-gradient(
    45deg,
    #f09433 0%,
    #e6683c 25%,
    #dc2743 50%,
    #cc2366 75%,
    #bc1888 100%
  );
  background: linear-gradient(
    45deg,
    #f09433 0%,
    #e6683c 25%,
    #dc2743 50%,
    #cc2366 75%,
    #bc1888 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f09433', endColorstr='#bc1888', GradientType=1);
}

.info-box {
  display: flex;
  margin-bottom: 30px;
}

/*
.box {
  margin: 10px;
  padding: 30px;
  text-align: center;

  /* &:hover {    border: 2px solid #5f4587;    transform: scale(1.1);    transition: all 0.5s;  }
}*/
.deeds {
  display: inline;
  width: 500px;
  margin-left: 45px;
  text-align: center;
  align-items: center;
  margin: 0 auto;
}
.deeds p {
  margin-bottom: 10px;
  size: 19px;
}
.info-box h2 {
  margin-bottom: 20px;
}
.education {
  display: flex;
  border: 1px solid #ccc;
  margin: 10px;
  margin-top: 40px;
}

#logo {
  flex: 1;
  margin: 10px;
  padding: 20px;
  padding-left: 30px;
}

#details {
  flex: 1;
  margin: 10px;
  padding: 30px;
}
.wrapper {
  position: left;
  top: 50%;
  left: 50%;
  max-width: 350px;
  width: 100%;
  background: #fff;
  padding: 25px;
  border-radius: 5px;
  margin: 0 auto;
  /* Center the form horizontally   box-shadow: 4px 4px 2px rgba(254, 236, 164, 1); */
}

/* Responsive adjustments using media queries */
@media screen and (min-width: 600px) {
  .wrapper {
    max-width: 400px;
    /* Adjust the max-width for larger screens */
  }
}

.wrapper h2 {
  text-align: center;
  margin-bottom: 20px;
  text-transform: uppercase;
  letter-spacing: 3px;
  color: #5f4587;
}

.wrapper .input_field {
  margin-bottom: 10px;
}

.wrapper .input_field input[type="text"],
.wrapper textarea {
  border: 1px solid #dad2d2;
  width: 100%;
  padding: 10px;
}

.wrapper textarea {
  height: 80px;
}

.wrapper .btn input[type="submit"] {
  border: 0px;
  margin-top: 15px;
  padding: 10px;
  text-align: center;
  width: 70%;
  background: #a333ff;
  color: #fcfbf7;
  text-transform: uppercase;
  letter-spacing: 5px;
  font-weight: bold;
  border-radius: 25px;
  cursor: pointer;
}

#error_message {
  margin-bottom: 20px;
  background: #6cd7ea;
  padding: 0px;
  text-align: center;
  font-size: 14px;
  transition: all 0.5s ease;
}

@media (max-width: 900px) {
  .context {
    flex-direction: column;
    padding: 5px;
    margin-top: 10px;
  }

  .textt {
    text-align: center;
    margin: 0 auto;
    font-size: 20px;
    padding: 10px;
  }
  .textt p.head {
    font-weight: bold;
    font-size: 19px;
    text-transform: uppercase;
  }

  .education {
    display: flex;
    padding-right: 20px;
    margin-top: 10px;

    #logo {
      flex: 1;
      margin: 0px;
      width: 100px;
    }

    #details {
      flex: 1;
      margin: 0px;
      padding: 20px;
      font-size: 15px;
    }
  }
}
@media (max-width: 600px) {
   nav {
    width: 100%;
    height: 50px;
    position: fixed;
    top: 0;

    background: rgba(0, 0, 0, 0.4);

    ul {
      padding: 14px;
      margin: 0 auto;
      list-style: none;
      text-align: center;

      li {
        display: inline-block;
        margin: 0 6px;

        a {
          padding: 10px 0;
          color: #fff;
          font-size: 16px;
          text-decoration: none;
          font-weight: bold;
          transition: all 0.2s ease;

          &:hover {
            color: #85c2ff;
          }
        }
      }
    }
  }
  .info-box {
    flex-direction: column;
    margin: 5px;
  }
  .deeds {
    display: inline;
    text-align: center;
    align-items: center;
    margin: 0 auto;
  }

  h1 {
    font-size: 40px;
    color: #5f4587;
  }
  .About {
    padding: 2rem;
    font-size: 16px;
    margin-bottom: 20px;
    margin-top: 8px;
  }
  .skill li {
    display: inline-block;
    margin: 0 18px;
    /* Add spacing between list items */
  }
  .buttons {
    padding: 10px;
    margin-top: 10px;
  }
  .buttons p {
    font-size: 17px;
  }
  .context {
    flex-direction: column;
    padding: 5px;
    margin-top: 0px;
  }

  .textt {
    text-align: center;
    margin: 0 auto;
    font-size: 17px;
    padding: 10px;
  }
  .textt p.head {
    font-weight: bold;
    font-size: 19px;
    text-transform: uppercase;
  }

  .education {
    display: flex;
    padding-right: 20px;
    margin-top: 10px;

    #logo {
      flex: 1;
      margin: 0px;
      width: 100px;
    }

    #details {
      flex: 1;
      margin: 0px;
      padding: 20px;
      font-size: 15px;
      text-transform: lowercase;
    }
  }
  .deeds {
    margin-left: 10px;
    text-align: center;
    align-items: center;
    padding: 25px;
    margin: 0 auto;
  }
  .no3 {
    margin-top: 8px;
    h2 {
      font-size: 22px;
    }
  }
}

@import url(https://fonts.googleapis.com/css?family=Bitter);
